﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Ribbon;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication2.Model;
using WpfApplication2.ViewModel;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        MainViewModel _vm = new MainViewModel();

        public MainWindow()
        {
            InitializeComponent();

            DataContext = _vm;
           
            //_vm.Stocks.CollectionChanged += Stocks_CollectionChanged;
            WeakEventManager<ObservableCollection<Stock>, NotifyCollectionChangedEventArgs>.AddHandler(_vm.Stocks, "CollectionChanged", Stocks_CollectionChanged);
        }

        void Stocks_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            //Debug.WriteLine("Collection count=" + _vm.Stocks.Count);
        }

        private void Load_Click(object sender, RoutedEventArgs e)
        {
            _vm.AddNewItems();
        }

        private void KeepLoading_Click(object sender, RoutedEventArgs e)
        {
            _vm.StartAddingItems();
        }
    }
}
