﻿using System.ComponentModel;

namespace WpfApplication2.Model
{
    class Stock : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private string _symbol;

        public string Symbol
        {
            get { return _symbol; }
            set { _symbol = value; NotifyPropertyChanged("Symbol"); }
        }
        private decimal _value;

        public decimal Value
        {
            get { return _value; }
            set { _value = value; NotifyPropertyChanged("Value"); }
        }

        protected void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
