﻿using System;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Data;
using WpfApplication2.Model;

namespace WpfApplication2.ViewModel
{
    class MainViewModel
    {
        public ObservableCollection<Stock> Stocks { get; set; }

        private object _stocksLock = new object();

        public MainViewModel()
        {
            Stocks = new ObservableCollection<Stock>();

            BindingOperations.EnableCollectionSynchronization(Stocks, _stocksLock);
        }


        private Random _random = new Random();
        public void AddNewItems()
        {
            for (int i = 0; i < 100; i++)
            {
                var item = new Stock();
                for (int j = 0; j < _random.Next(2, 4); j++)
                {
                    item.Symbol += char.ConvertFromUtf32(_random.Next(
                        char.ConvertToUtf32("A", 0),
                        char.ConvertToUtf32("Z", 0)));
                }

                item.Value = (decimal)(_random.Next(100, 6000) / 100.0);
                Stocks.Add(item);
                Debug.WriteLine(item.Symbol);
            }
        }


        public void StartAddingItems()
        {
            Task.Factory.StartNew(() =>
            {
                while (true)
                {
                    AddNewItems();
                    Thread.Sleep(500);
                }
            });

        }
    }
}
